<div class="empty-wrapper">
  <div class="header-empty-container"></div>
  <div class="content-container" @inOutPaneAnimation>
    <div class="news-container">


    <form [formGroup]="contactForm" (ngSubmit)="send()" class="form-container">
      <h4 class="form-title upper-bold">ОБРАТНАЯ СВЯЗЬ</h4>
      <div class="form__group field">
        <input formControlName="name" type="text" class="form__field" placeholder="Ваше имя" name="name" id='name'/>
        <label for="name" class="form__label">Ваше имя</label>
        <div
          *ngIf="
          contactForm.controls['name'].invalid
           && (contactForm.controls['name'].dirty
           || contactForm.controls['name'].touched)">
          <div
            class="form-error"
            *ngIf="contactForm.controls['name'].errors?.['required']">
            Введите ваше имя
          </div>
        </div>
      </div>
      <div class="form__group field">
        <input formControlName="email" type="email" class="form__field" placeholder="Ваш email" name="name" id='email'/>
        <label for="email" class="form__label">Ваш email</label>
        <div
          *ngIf="
          contactForm.controls['email'].invalid
           && (contactForm.controls['email'].dirty
           || contactForm.controls['email'].touched)">
          <div
            class="form-error"
            *ngIf="contactForm.controls['email'].errors?.['required']">
            Введите ваш электронный адрес
          </div>
        </div>
      </div>
      <div class="form__group field">
        <input formControlName="phone" type="text" class="form__field" placeholder="Ваш телефонный номер" name="name"
               id='phone'/>
        <label for="phone" class="form__label">Ваш телефонный номер</label>
      </div>
      <div class="form__group field">
        <textarea formControlName="message" rows="5" class="form__field" placeholder="Ваше сообщение" name="message"
                  id='message'></textarea>
        <label for="message" class="form__label">Ваше сообщение</label>
        <div
          *ngIf="
          contactForm.controls['message'].invalid
           && (contactForm.controls['message'].dirty
           || contactForm.controls['message'].touched)">
          <div
            class="form-error"
            *ngIf="contactForm.controls['message'].errors?.['required']">
            Введите ваше сообщение
          </div>
        </div>
      </div>
      <div class="form__group field form-bottom">
        <button [disabled]="contactForm.invalid" class="btn">Отправить</button>
        <img class="img-icon" *ngIf="success$ | async" src="assets/icons/success-icon.svg" alt="">
        <img class="img-icon" *ngIf="error$ | async" src="assets/icons/failure-icon.svg" alt="">
        <div class="checkbox-wrapper">
          <div class="checkbox-wrapper-17">
            <input formControlName="isAgree" type="checkbox" id="switch-17"/>
            <label for="switch-17"></label>
          </div>
          <p class="reglaments-text">Принимаю условия пользовательского соглашения</p>
        </div>
      </div>
    </form>
    <div class="info-box">
      <ul class="contacts-box">
        <li class="contacts-item">
          <img src="assets/icons/mail.svg" alt="">
          <a href="mailto:{{(settings$ | async)?.email}}"
             class="contacts-link upper-bold">{{(settings$ | async)?.email}}</a>
        </li>
        <li class="contacts-item">
          <img src="assets/icons/phone.svg" alt="">
          <a href="tel:{{(settings$ | async)?.phone}}"
             class="contacts-link upper-bold">{{(settings$ | async)?.phone}}</a>
        </li>
        <li class="contacts-item">
          <img src="assets/icons/location.svg" alt="">
          <p class="contacts-link upper-bold">{{(settings$ | async)?.address}}</p>
        </li>
      </ul>
      <div class="map-responsive">
        <iframe
          src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2246.622847264981!2d37.5764365!3d55.730306299999995!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x46b54b9883fcc143%3A0x3d2388f7dffb4483!2z0YPQuy4g0KPRgdCw0YfQtdCy0LAsIDE1LCDQnNC-0YHQutCy0LAsINCg0L7RgdGB0LjRjywgMTE5MDQ4!5e0!3m2!1sru!2see!4v1677185617906!5m2!1sru!2see"
          width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" frameborder="0"
          referrerpolicy="no-referrer-when-downgrade"></iframe>
      </div>
    </div>

    </div>
  </div>
  <div class="footer-empty-container"></div>
</div>
